%define summary		SuperKaramba allows you to create cool desktop widgets.
%define name		superkaramba
%define version 	0.37.RC2
%define filever		0.37-RC2
%define release 	2%{_my_ext}

Name:			%{name}
Version:		%{version}
Release:		%{release}
Vendor:			%{vendor}
Packager:		%{packager}
Distribution:		%{distribution}
Summary:		%summary
License:		GPL
URL:			http://netdragon.sourceforge.net/
Group:			Toys
Source:			%{name}-%{filever}.tar.bz2

%define python_version	%(rpm -q --qf '%%{version}' python)

BuildRoot:		%{_tmppath}/%{name}-%{version}-root

Requires:		python
BuildRequires:		python-devel

%description
SuperKaramba allows you to create cool desktop widgets with little to no programming experience.
It's similar to "Konfabulator" for the Mac.

Build Options:
	--prefix=/usr
%prep
%setup -q -n %{name}-%{filever}

%build

#we don't use libtool 1.5 yet
#%define __libtoolize /bin/true

%configure --prefix=/usr \
	--enable-shared

make

%install

# remove all CVS files so that they don't get "accidently" installed
for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

make DESTDIR=$RPM_BUILD_ROOT install

# make for some reason doesnt create the doc file
cd $RPM_BUILD_DIR/%{name}-%{filever}/superkaramba/doc/en/; make

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}
cp $RPM_BUILD_DIR/%{name}-%{filever}/lo32-app-karamba.png $RPM_BUILD_ROOT%{_liconsdir}/karamba.png
cp $RPM_BUILD_DIR/%{name}-%{filever}/lo16-app-karamba.png $RPM_BUILD_ROOT%{_miconsdir}/karamba.png
cp $RPM_BUILD_DIR/%{name}-%{filever}/lo32-app-karamba.png $RPM_BUILD_ROOT%{_iconsdir}/karamba.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/pixmaps/ $RPM_BUILD_ROOT%{_menudir}/ \
	 $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/System/Monitoring $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/superkaramba

cp $RPM_BUILD_DIR/%{name}-%{filever}/superkaramba.desktop $RPM_BUILD_ROOT%{_menudir}/superkaramba.desktop
cp $RPM_BUILD_DIR/%{name}-%{filever}/superkaramba.desktop $RPM_BUILD_ROOT%{_datadir}/applications/superkaramba.desktop
cp $RPM_BUILD_DIR/%{name}-%{filever}/superkaramba.desktop $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/System/Monitoring/superkaramba.desktop
cp $RPM_BUILD_DIR/%{name}-%{filever}/skicon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/clanbomber.xpm

cp $RPM_BUILD_DIR/%{name}-%{filever}/superkaramba/doc/en/index.cache.bz2 $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/superkaramba/index.cache.bz2
cp $RPM_BUILD_DIR/%{name}-%{filever}/superkaramba/doc/en/index.docbook $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/superkaramba/index.docbook
ln -sf ../../../../../../usr/share/doc/HTML/en/common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/superkaramba/common

cd $RPM_BUILD_ROOT

# to many files to list sep so i'll make a dirty
# hack here to make a files list

find . -type d -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="System/Monitoring" \
        title="SuperKaramba" \
        longtitle="An engine for cool desktop eyecandy." \
        command="%{_bindir}/%{name}" \
        icon="/usr/share/pixmaps/clanbomber.xpm"
EOF

%files -f ../file.list.%{name}

%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO superkaramba/doc/faq
%{_bindir}/superkaramba

%{_datadir}/applications/superkaramba.desktop
%{_datadir}/pixmaps/clanbomber.xpm
%{_menudir}/*
%{_iconsdir}/karamba.png
%{_liconsdir}/karamba.png
%{_miconsdir}/karamba.png

%{_datadir}/applnk/Utilities/superkaramba.desktop
%{_datadir}/applnk-mdk/System/Monitoring/superkaramba.desktop
%{_datadir}/apps/superkaramba/superkarambaui.rc
%{_datadir}/doc/HTML/en/%{name}/common
%{_datadir}/doc/HTML/en/%{name}/index.cache.bz2
%{_datadir}/doc/HTML/en/%{name}/index.docbook


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/*

%changelog

* Mon Oct 10 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Thu Aug 6 2005 Scott Grayban <sgrayban@borgnet.us> 0.37.RC2-1bgn
  - RC2 version release

* Thu Jul 14 2005 Scott Grayban <sgrayban@borgnet.us> 0.37.RC1-1bgn
  - RC1 version release

* Wed Apr 20 2005 Scott Grayban <sgrayban@borgnet.us> 0.36-1bgn
  - See Changelog for changes - to many to list here
  - Major change is python 2.4 support

* Wed Nov 17 2004 Scott Grayban <sgrayban@borgnet.us> 0.35-3bgn
  - Rebuild from the released version
  - Build with libtoolize
  - Fixed spec file to include the doc directory when installing the rpm
  - Fixed the Group description
  - examples directory in now installed in the /usr/share/superkaramba directory
  
* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us> 0.35-2bgn
  - Re-Build for MDK 10.1
    
* Wed Oct 6 2004 <sgrayban@borgnet.us> 0.35
  - Build against CVS version dated Wed Oct 6 2004
  
